<?php

// Routes for filing.

// Guard routes for filing
Route::prefix('{guard}/filing')->group(function () {

    Route::post('filing/exim/{exim}', 'FilingEximController');
    Route::patch('filing/actions/{action}', 'FilingActionsController');
    Route::patch('filing/action/{filing}/{action}', 'FilingActionController');
    Route::resource('filing', 'FilingResourceController');
});



// Public routes for filing
Route::get('filings/', 'FilingPublicController@index');
Route::get('filing/{slug?}', 'FilingPublicController@show');
