<?php

namespace Eform\Filing\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Eform\Filing\Models\Filing;

class FilingAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Filing $filing,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
