<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for filing in filing package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  filing module in filing package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Filing',
    'names' => 'Filings',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Filings',
        'sub' => 'Filings'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'final_return' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    =>  'No',
                    'value'  =>  'No',
                    'text'   =>  'No',
                ],
                                
            ],

        'loss_event' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    =>  'No',
                    'value'  =>  'No',
                    'text'   =>  'No',
                ],
                                
            ],

        'used_for_logging' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    =>  'No',
                    'value'  =>  'No',
                    'text'   =>  'No',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    =>  'No',
                    'value'  =>  'No',
                    'text'   =>  'No',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'filing_type'                => 'filing type',
        'business_id'                => 'Select Business*',
        'tax_period'                 => 'Select Tax Period*',
        'first_used_month'           => 'Select First Used Month',
        'final_return'               => 'Select ',
        'tax_amount'                 => 'IRS Tax Amount',
        'tax_year_end_month'         => 'Tax Year End Month',
        'loss_event'                 => 'Loss Event',
        'sold_on'                    => 'Enter Sold On',
        'used_for_logging'           => '',
        'explanation'                => '',
        'attachment'                 => '',
        'sold_to_name'               => 'Enter Name',
        'sold_to_phone'              => 'Enter Phone',
        'sold_to_email'              => 'Enter Email',
        'sold_to_address1'           => 'Enter Address1',
        'sold_to_address2'           => 'Enter Address2',
        'sold_to_country'            => 'Select Country*',
        'sold_to_state'              => 'Select State',
        'sold_to_city'               => 'Enter City*',
        'sold_to_zip'                => 'ZIP*',
        'service_fee'                => 'service fee',
        'subtotal'                   => 'Enter Subtotal',
        'sales_tax'                  => 'sales tax',
        'total'                      => 'Total',
        'bill_to_card'               => 'bill to card',
        'status'                     => 'status',
        'user_id'                    => '',
        'slug'                       => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'filing_type'                => 'Filing Type',
        'business_id'                => 'Select Business ',
        'tax_period'                 => 'Tax Period',
        'first_used_month'           => 'First Used Month',
        'final_return'               => 'Final Return',
        'tax_amount'                 => 'IRS Tax Amount',
        'tax_year_end_month'         => 'Tax Year End Month',
        'loss_event'                 => 'Loss Event',
        'sold_on'                    => 'Sold On',
        'used_for_logging'           => 'Used For Logging?',
        'explanation'                => 'Explanation',
        'attachment'                 => 'Attachment',
        'sold_to_name'               => 'Name',
        'sold_to_phone'              => 'Phone',
        'sold_to_email'              => 'Email',
        'sold_to_address1'           => 'Address1',
        'sold_to_address2'           => 'Address2',
        'sold_to_country'            => 'Country ',
        'sold_to_state'              => 'State',
        'sold_to_city'               => 'City',
        'sold_to_zip'                => 'ZIP',
        'service_fee'                => 'Service Fee',
        'subtotal'                   => 'Subtotal ',
        'sales_tax'                  => 'Sales Tax',
        'total'                      => 'Total',
        'bill_to_card'               => 'Bill To Card',
        'status'                     => 'Status',
        'user_id'                    => 'User',
        'slug'                       => '',
    ],

    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
