<?php


namespace Eform\Filing\Actions;

use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Eform\Filing\Models\Filing;
use Litepie\Actions\Concerns\AsAction;

class FilingExim
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $exim)
    {
        $this->model = app(Filing::class);
        $function = Str::camel($exim);
        return $this->$function($request);
    }

    public function import(Request $request)
    {
        return $this->model;
    }

    public function export(Request $request)
    {
        return $this->model;
    }

}
